v.delaunay(1)

NAME
v.delaunay - Creates a Delaunay triangulation from an input vector map containing points or centroids.

KEYWORDS
vector, geometry, triangulation

SYNOPSIS
v.delaunay
v.delaunay --help
v.delaunay [-rl] input=name [layer=string] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Use only points in current region

-l
    Output triangulation as a graph (lines), not areas

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name (’-1’ for all layers)
    A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
    Default: -1

output=name [required]
    Name for output vector map

DESCRIPTION
v.delaunay uses an existing vector points map (input) to create a Delaunay triangulation vector map (output).

Delaunay triangulation example (red-yellow points are the data points from which the triangulation was generated):

EXAMPLE
Commands used with the North Carolina dataset to create the above figure (subset shown in figure).

g.region n=220750 s=219950 w=638300 e=639000 -p
v.delaunay input=elev_lid792_randpts output=elev_lid792_randpts_delaunay

REFERENCES
Leonid Guibas and Jorge Stolfi, (1985). Primitives for the Manipulation of General Subdivisions and the Computation of Voronoi Diagrams, ACM Transactions on Graphics, Vol 4, No. 2, April 1985, Pages 74-123

SEE ALSO
v.voronoi, v.hull

AUTHORS
Martin Pavlovsky, Google Summer of Code 2008, Student
Paul Kelly, Mentor
Based on "dct" by Geoff Leach, Department of Computer Science, RMIT.

Last changed: $Date: 2014-01-07 00:15:11 +0100 (Ășt, 07 1 2014) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual